package com.zehong.system.domain;

import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 泄漏点对象 t_car_task_point
 * 
 * @author zehong
 * @date 2026-05-15
 */
public class TCarTaskPoint extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 任务id */
    @Excel(name = "任务id")
    private Long taskId;

    /** 巡检车经度 */
    @Excel(name = "巡检车经度")
    private BigDecimal longitude1;

    /** 巡检车纬度 */
    @Excel(name = "巡检车纬度")
    private BigDecimal latitude1;

    /** 推测泄漏点经度 */
    @Excel(name = "推测泄漏点经度")
    private BigDecimal longitude2;

    /** 推测泄漏点纬度 */
    @Excel(name = "推测泄漏点纬度")
    private BigDecimal latitude2;

    /** 甲烷谷值，单位ppm */
    @Excel(name = "甲烷谷值，单位ppm")
    private Float ch41;

    /** 甲烷峰值，单位ppm */
    @Excel(name = "甲烷峰值，单位ppm")
    private Float ch42;

    /** 乙烷，单位ppb */
    @Excel(name = "乙烷，单位ppb")
    private Float c2h6;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setLongitude1(BigDecimal longitude1) 
    {
        this.longitude1 = longitude1;
    }

    public BigDecimal getLongitude1() 
    {
        return longitude1;
    }
    public void setLatitude1(BigDecimal latitude1) 
    {
        this.latitude1 = latitude1;
    }

    public BigDecimal getLatitude1() 
    {
        return latitude1;
    }
    public void setLongitude2(BigDecimal longitude2) 
    {
        this.longitude2 = longitude2;
    }

    public BigDecimal getLongitude2() 
    {
        return longitude2;
    }
    public void setLatitude2(BigDecimal latitude2) 
    {
        this.latitude2 = latitude2;
    }

    public BigDecimal getLatitude2() 
    {
        return latitude2;
    }
    public void setCh41(Float ch41)
    {
        this.ch41 = ch41;
    }

    public Float getCh41()
    {
        return ch41;
    }
    public void setCh42(float ch42)
    {
        this.ch42 = ch42;
    }

    public Float getCh42()
    {
        return ch42;
    }
    public void setC2h6(Float c2h6)
    {
        this.c2h6 = c2h6;
    }

    public Float getC2h6()
    {
        return c2h6;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("longitude1", getLongitude1())
            .append("latitude1", getLatitude1())
            .append("longitude2", getLongitude2())
            .append("latitude2", getLatitude2())
            .append("ch41", getCh41())
            .append("ch42", getCh42())
            .append("c2h6", getC2h6())
            .append("createTime", getCreateTime())
            .toString();
    }
}
